commit 8e9419c319d27a53581b6c17aab344dbd045e182
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Wed May 2 14:36:54 2018 +0200

    ref #6241 replaced @date by @since in pesi and eflora

diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CdmImportSources.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CdmImportSources.java
index 2b82a65d..3353856d 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CdmImportSources.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/CdmImportSources.java
@@ -18,7 +18,7 @@ import eu.etaxonomy.cdm.io.common.Source;
 
 /**
  * @author a.mueller
- * @date 21.04.2010
+ * @since 21.04.2010
  *
  */
 public class CdmImportSources {
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
index c291da85..29538cf0 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/EfloraSources.java
@@ -14,7 +14,7 @@ import org.apache.log4j.Logger;
 
 /**
  * @author a.mueller
- * @date 09.06.2010
+ * @since 09.06.2010
  *
  */
 public class EfloraSources {
diff --git a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
index 5b4ae282..b6916a54 100644
--- a/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
+++ b/cdm-eflora/src/main/java/eu/etaxonomy/cdm/app/eflora/NepenthaceIpniActivator.java
@@ -32,7 +32,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
 
 /**
  * @author a.mueller
- * @date 27.02.2017
+ * @since 27.02.2017
  *
  */
 public class NepenthaceIpniActivator {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiDestinations.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiDestinations.java
index aea80b9b..4d45b8e1 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiDestinations.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiDestinations.java
@@ -16,7 +16,7 @@ import eu.etaxonomy.cdm.io.common.Source;
 
 /**
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiDestinations {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivator.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivator.java
index 4c18fcaa..8dbfa4b7 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivator.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivator.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.io.pesi.out.PesiTransformer;
 /**
  * @author a.mueller
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiExportActivator {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorEM.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorEM.java
index 2a32567a..71422dec 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorEM.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorEM.java
@@ -24,7 +24,7 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 /**
  * @author a.mueller
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiExportActivatorEM {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
index 97adf017..c49eae0a 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorERMS.java
@@ -24,7 +24,7 @@ import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
 /**
  * @author a.mueller
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiExportActivatorERMS {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
index 1697268e..fd4647d2 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorFE.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.io.pesi.out.PesiTransformer;
 /**
  * @author a.mueller
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiExportActivatorFE {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorIF.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorIF.java
index 05b9c3f4..b3f8e185 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorIF.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/app/pesi/PesiExportActivatorIF.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.io.pesi.out.PesiTransformer;
 /**
  * @author a.mueller
  * @author e.-m.lee
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public class PesiExportActivatorIF {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiCollectionExportMapping.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiCollectionExportMapping.java
index 6a524b42..a593e345 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiCollectionExportMapping.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiCollectionExportMapping.java
@@ -24,7 +24,7 @@ import eu.etaxonomy.cdm.model.common.CdmBase;
 
 /**
  * @author e.-m.lee
- * @date 24.02.2010
+ * @since 24.02.2010
  *
  */
 public class PesiCollectionExportMapping extends PesiExportMapping {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
index 22b74643..65221ab9 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiDescriptionExport.java
@@ -75,7 +75,7 @@ import eu.etaxonomy.cdm.profiler.ProfilerController;
  * <li>Phase 1:	Export of DescriptionElements as Notes.
  * <li>Phase 2:	Export of TaxonName extensions <code>taxComment</code>, <code>fauComment</code> and <code>fauExtraCodes</code> as Notes.</ul>
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportBase.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportBase.java
index d8616d90..c9cba35e 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportBase.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportBase.java
@@ -45,7 +45,7 @@ import eu.etaxonomy.cdm.strategy.cache.name.ZooNameNoMarkerCacheStrategy;
 
 /**
  * @author e.-m.lee
- * @date 12.02.2010
+ * @since 12.02.2010
  *
  */
 public abstract class PesiExportBase extends DbExportBase<PesiExportConfigurator, PesiExportState, PesiTransformer> {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
index 673f690a..256519d9 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportConfigurator.java
@@ -19,7 +19,7 @@ import eu.etaxonomy.cdm.model.reference.ReferenceFactory;
 
 /**
  * @author e.-m.lee
- * @date 12.02.2010
+ * @since 12.02.2010
  *
  */
 public class PesiExportConfigurator extends DbExportConfiguratorBase<PesiExportState, PesiTransformer> implements IExportConfigurator<PesiExportState, PesiTransformer> {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportMapping.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportMapping.java
index 535fdcfa..9fae7e8b 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportMapping.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportMapping.java
@@ -14,7 +14,7 @@ import eu.etaxonomy.cdm.io.common.mapping.out.CdmDbExportMapping;
 
 /**
  * @author e.-m.lee
- * @date 24.02.2010
+ * @since 24.02.2010
  *
  */
 public class PesiExportMapping extends CdmDbExportMapping<PesiExportState,PesiExportConfigurator, PesiTransformer> {
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportState.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportState.java
index b57ce03f..f1794ea2 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportState.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiExportState.java
@@ -28,7 +28,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * The export state class.
  * Holds data needed while the export classes are running.
  * @author e.-m.lee
- * @date 12.02.2010
+ * @since 12.02.2010
  *
  */
 public class PesiExportState extends DbExportStateBase<PesiExportConfigurator, PesiTransformer>{
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiFinalUpdateExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiFinalUpdateExport.java
index a996a139..00022aa4 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiFinalUpdateExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiFinalUpdateExport.java
@@ -23,7 +23,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * <li>Phase 3:	Export of additional data: Rank data, KingdomFk, TypeNameFk, expertFk and speciesExpertFk.
  * <li>Phase 4:	Export of Inferred Synonyms.</ul>
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiRelTaxonExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiRelTaxonExport.java
index 54bd7bac..829483ca 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiRelTaxonExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiRelTaxonExport.java
@@ -41,7 +41,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonRelationship;
  * The export class for relations between {@link eu.etaxonomy.cdm.model.taxon.TaxonBase TaxonBases}.<p>
  * Inserts into DataWarehouse database table <code>RelTaxon</code>.
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
index 04d20a08..ce1ad329 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiSourceExport.java
@@ -38,7 +38,7 @@ import eu.etaxonomy.cdm.model.reference.ReferenceType;
  * The export class for {@link eu.etaxonomy.cdm.model.reference.Reference References}.<p>
  * Inserts into DataWarehouse database table <code>Source</code>.
  * @author e.-m.lee
- * @date 11.02.2010
+ * @since 11.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
index 585bd96f..5b9c7155 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTaxonExport.java
@@ -87,7 +87,7 @@ import eu.etaxonomy.cdm.strategy.cache.name.ZooNameNoMarkerCacheStrategy;
  * <li>Phase 3:	Export of additional data: Rank data, KingdomFk, TypeNameFk, expertFk and speciesExpertFk.
  * <li>Phase 4:	Export of Inferred Synonyms.</ul>
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
index dc000064..62470e87 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/PesiTransformer.java
@@ -56,7 +56,7 @@ import eu.etaxonomy.cdm.strategy.exceptions.UnknownCdmTypeException;
 /**
  * @author e.-m.lee
  * @author a.mueller (update)
- * @date 16.02.2010
+ * @since 16.02.2010
  *
  */
 public final class PesiTransformer extends ExportTransformerBase implements IExportTransformer{
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiAdditionalTaxonSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiAdditionalTaxonSourceExport.java
index 817f9c87..802dbedf 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiAdditionalTaxonSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiAdditionalTaxonSourceExport.java
@@ -37,7 +37,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * The export class for additional information linked to {@link eu.etaxonomy.cdm.model.taxon.Taxon Taxa} and {@link eu.etaxonomy.cdm.model.reference.Reference References}.<p>
  * Inserts into DataWarehouse database table <code>AdditionalTaxonSource</code>.
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiImageExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiImageExport.java
index 1a153b6d..12573bda 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiImageExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiImageExport.java
@@ -38,7 +38,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * The export class for Images.
  * Inserts into DataWarehouse database table <code>Image</code>.
  * @author e.-m.lee
- * @date 18.08.2010
+ * @since 18.08.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteExport.java
index f39e4159..6e132d81 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteExport.java
@@ -56,7 +56,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * <li>Phase 1:	Export of DescriptionElements as Notes.
  * <li>Phase 2:	Export of TaxonName extensions <code>taxComment</code>, <code>fauComment</code> and <code>fauExtraCodes</code> as Notes.</ul>
  * @author e.-m.lee
- * @date 23.02.2010
+ * @since 23.02.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteSourceExport.java
index fd3552e6..5c4dd299 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiNoteSourceExport.java
@@ -34,7 +34,7 @@ import eu.etaxonomy.cdm.model.taxon.Taxon;
  * The export class for NoteSources.
  * Inserts into DataWarehouse database table <code>NoteSource</code>.
  * @author e.-m.lee
- * @date 03.03.2010
+ * @since 03.03.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceExport.java
index eb886a30..cbae0cbe 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceExport.java
@@ -44,7 +44,7 @@ import eu.etaxonomy.cdm.strategy.exceptions.UnknownCdmTypeException;
  * The export class for {@link eu.etaxonomy.cdm.model.description.Distribution Distributions}.<p>
  * Inserts into DataWarehouse database table <code>Occurrence</code>.
  * @author e.-m.lee
- * @date 02.03.2010
+ * @since 02.03.2010
  *
  */
 @Component
diff --git a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceSourceExport.java b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceSourceExport.java
index 026407ab..09cd5db5 100644
--- a/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceSourceExport.java
+++ b/cdm-pesi/src/main/java/eu/etaxonomy/cdm/io/pesi/out/old/PesiOccurrenceSourceExport.java
@@ -40,7 +40,7 @@ import eu.etaxonomy.cdm.model.taxon.TaxonBase;
  * The export class for additional information linked to {@link eu.etaxonomy.cdm.model.description.Distribution Distributions} and {@link eu.etaxonomy.cdm.model.common.DescriptionElementSource DescriptionElements}.<p>
  * Inserts into DataWarehouse database table <code>OccurrenceSource</code>.
  * @author e.-m.lee
- * @date 15.03.2010
+ * @since 15.03.2010
  *
  */
 @Component