commit 1b1c2bc9466b6d6a012872d87f00dddf27a3ba07
Author: Andreas Kohlbecker <a.kohlbecker@bgbm.org>
Date:   Thu Jun 27 16:59:39 2019 +0200

    ref #4372 page elementd DupalBlock and FeatureBlock compatible also with zen theme

diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cichorieae/Cichorieae_CommonNamesTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cichorieae/Cichorieae_CommonNamesTest.java
index 0a5635e9..79a689b3 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cichorieae/Cichorieae_CommonNamesTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cichorieae/Cichorieae_CommonNamesTest.java
@@ -61,7 +61,7 @@ public class Cichorieae_CommonNamesTest extends CdmDataPortalTestBase{
          * AQ. Komarov, V. L., Flora SSSR 29. 1964 (as Lactuca altaica),
          * AR. Komarov, V. L., Flora SSSR 29. 1964,
         */
-        WebElement northCaucasus = distributionBlock.getContent().findElement(By.className("descriptionElement617733b9-d59d-4215-9e77-728a5f60e627"));
+        WebElement northCaucasus = distributionBlock.getElement().findElement(By.className("descriptionElement617733b9-d59d-4215-9e77-728a5f60e627"));
         assertEquals("North CaucasusAN,AO,AP,AQ,AR", northCaucasus.getText());
         assertEquals("AN. Galuško, A. I., Flora severnogo Kavkaza 3. 1980", distributionBlock.getFootNote(39).getText());
         assertEquals("AO. Galuško, A. I., Flora severnogo Kavkaza 3. 1980 (as Lactuca altaica)", distributionBlock.getFootNote(40).getText());
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Allium_guttatum_subsp_guttatum_TaxonProfileTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Allium_guttatum_subsp_guttatum_TaxonProfileTest.java
index c619345a..fd852de7 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Allium_guttatum_subsp_guttatum_TaxonProfileTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Allium_guttatum_subsp_guttatum_TaxonProfileTest.java
@@ -104,7 +104,7 @@ public class Allium_guttatum_subsp_guttatum_TaxonProfileTest extends CdmDataPort
         featureBlock = p.getFeatureBlockAt(4, "distribution", "div", "span");
 
         assertEquals("Distribution\nDivision 2A,B\nA. R. D. Meikle, Flora of Cyprus 2. 1985, B. R. Hand, Supplementary notes to the flora of Cyprus VI. in Willdenowia 39. 2009", featureBlock.getText());
-        assertEquals("Distribution", featureBlock.getHeader());
+        assertEquals("Distribution", featureBlock.getHeaderText());
         assertEquals("expecting two footnote keys", 2, featureBlock.countFootNoteKeys());
 
 //        ------- prepared for  bibliography ---------
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Bassia_indica_TaxonProfileTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Bassia_indica_TaxonProfileTest.java
index cf84460f..c2a41421 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Bassia_indica_TaxonProfileTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Bassia_indica_TaxonProfileTest.java
@@ -81,7 +81,7 @@ public class Bassia_indica_TaxonProfileTest extends CdmDataPortalTestBase{
                 + "Division 5B\n"
                 + "Division 6C\n"
                 + "The record for division 5 may refer to division 6.\nA. J. Chrtek & B. Slavík, Contribution to the flora of Cyprus. 4. in Fl. Medit. 10. 2001, B. A. Della & G. Iatrou, New plant records from Cyprus in Kew Bull. 50. 1995, C. R. Hand, Supplementary notes to the flora of Cyprus III. in Willdenowia 33. 2003", featureBlock.getText());
-        assertEquals("Distribution", featureBlock.getHeader());
+        assertEquals("Distribution", featureBlock.getHeaderText());
         assertEquals("expecting two footnote keys", 3, featureBlock.countFootNoteKeys());
 
 //        ------- prepared for  bibliography ---------
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Cyprus_OriginalSourceTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Cyprus_OriginalSourceTest.java
index c21664b9..b03dc9f3 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Cyprus_OriginalSourceTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/cyprus/Cyprus_OriginalSourceTest.java
@@ -76,7 +76,7 @@ public class Cyprus_OriginalSourceTest extends CdmDataPortalTestBase{
         p.testTableOfContentEntry(tocIndex++, "Distribution", "distribution");
 
         FeatureBlock featureBlock = p.getFeatureBlockAt(2, "chromosome-numbers", "ul", "li");
-        assertEquals("Chromosome numbers", featureBlock.getHeader());
+        assertEquals("Chromosome numbers", featureBlock.getHeaderText());
 
         // see  #2288 (Cyprus: ChromosomeNumbers: formating nameInSource)
         assertEquals("Chromosome numbers\n2n = 18 (B. Slavík & V. Jarolímová & J. Chrtek, Chromosome counts of some plants from Cyprus in Candollea 48. 1993 (as Cistus creticus L.)) (B. Slavík & V. Jarolímová & J. Chrtek, Chromosome counts of some plants from Cyprus. 2 in Acta Univ. Carol., Biol. 46. 2002 (as Cistus creticus L.))", featureBlock.getText());
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Calamus_acanthospathus_TaxonProfileTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Calamus_acanthospathus_TaxonProfileTest.java
index 9cbcab79..08bb814b 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Calamus_acanthospathus_TaxonProfileTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Calamus_acanthospathus_TaxonProfileTest.java
@@ -108,7 +108,7 @@ public class Calamus_acanthospathus_TaxonProfileTest extends CdmDataPortalTestBa
         FeatureBlock featureBlockDistribution = p.getFeatureBlockAt(featureId, featureClass, "div", "span");
 
         assertEquals(featureLabel, featureBlockDistribution.getTitle().getText());
-        assertEquals(contentTextFull, featureBlockDistribution.getContent().getText().trim());
+        assertEquals(contentTextFull, featureBlockDistribution.getContentText().trim());
 
         featureBlockDistribution.testDescriptionElementLayout(0, indent, descriptionElementFontSize, expectedCssDisplay, expectedListStyleType, expectedListStylePosition, expectedListStyleImage);
         assertEquals(1, featureBlockDistribution.getOriginalSourcesSections().size());
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Iriartea_deltoidea_UsesTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Iriartea_deltoidea_UsesTest.java
index add4ff89..72274e5f 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Iriartea_deltoidea_UsesTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/palmae/Iriartea_deltoidea_UsesTest.java
@@ -93,7 +93,7 @@ public class Iriartea_deltoidea_UsesTest extends CdmDataPortalTestBase{
         FeatureBlock featureBlockDistribution = p.getFeatureBlockAt(featureId, featureClass, "div", "span");
 
         assertEquals(featureLabel, featureBlockDistribution.getTitle().getText());
-        assertEquals(blockTextFull, featureBlockDistribution.getContent().getText().trim());
+        assertEquals(blockTextFull, featureBlockDistribution.getContentText().trim());
 
         featureBlockDistribution.testDescriptionElementLayout(0, indent, descriptionElementFontSize, expectedCssDisplay, expectedListStyleType, expectedListStylePosition, expectedListStyleImage);
 
diff --git a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/reference/DescriptionElementsTest.java b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/reference/DescriptionElementsTest.java
index ee2c7c8f..d57d7bb1 100644
--- a/src/test/java/eu/etaxonomy/dataportal/selenium/tests/reference/DescriptionElementsTest.java
+++ b/src/test/java/eu/etaxonomy/dataportal/selenium/tests/reference/DescriptionElementsTest.java
@@ -12,7 +12,6 @@ import java.net.MalformedURLException;
 import java.util.UUID;
 
 import org.junit.Before;
-import org.junit.Ignore;
 import org.junit.Test;
 
 import eu.etaxonomy.dataportal.DataPortalSite;
@@ -46,7 +45,6 @@ public class DescriptionElementsTest extends CdmDataPortalTestBase{
      *
      */
     @Test
-    @Ignore
     public void tesIssue3616() throws MalformedURLException {
 
 